-- evaluation stuff (mainly summary)
-- STOP PLAYING WITH EVENT MODE TURNED OFF

-- banner position offsets
local bannerPos = {
	{          0        },	-- one song
	{       -70,70      },	-- two songs
	{     -140,0,140    },	-- three songs
	{   -48,-16,16,48   },	-- four songs
	{  -64,-32,0,32,64  }	-- five songs
}

function BannerX(t,v)
	return bannerPos[t][v]
end

function GetBannerX(bannerNum)
	local maxSongs = PREFSMAN:GetPreference("SongsPerPlay")
	Trace(string.format("banner %i/%i",bannerNum,maxSongs));
	local xPosSetIndex = math.min(maxSongs,#bannerPos)
	local xPosSet = bannerPos[xPosSetIndex]
	local xPosIndex = math.min(bannerNum,#xPosSet)
	return xPosSet[xPosIndex]
end

function GetBannerY(bannerNum)
	local maxSongs = PREFSMAN:GetPreference("SongsPerPlay")
	if maxSongs > 3 then return bannerNum*8
	else return 0
	end
end

function GetBannerScale()
	-- old:
	-- either 0.5 (for up to 4) or 0.25 (for 5)
	--local maxSongs = PREFSMAN:GetPreference("SongsPerPlay")
	--return maxSongs < 5 and 0.5 or 0.25

	return 0.5
end
